Debian Bug report logs - #259586
O: libclass-multimethods-perl -- Support multimethods and subroutine overloading in Perl

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Thu, 15 Jul 2004 16:33:14 UTC

Severity: normal

Fixed in version libclass-multimethods-perl/1.70-4

Done: Jay Bonci <jaybonci@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#259586; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: libclass-multimethods-perl -- Support multimethods and subroutine overloading in Perl
Date: Thu, 15 Jul 2004 18:20:55 +0200
Package: wnpp
Severity: normal

The current maintainer of libclass-multimethods-perl, Sean 'Shaleh'
Perry <shaleh@debian.org>, is apparently not active anymore.
Therefore, I orphan this package now.  If you want to be the new
maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: libclass-multimethods-perl
Binary: libclass-multimethods-perl
Version: 1.70-1
Priority: optional
Section: perl
Maintainer: Sean 'Shaleh' Perry <shaleh@debian.org>
Build-Depends: debhelper (>> 2.1.0)
Architecture: all
Standards-Version: 3.2.1
Format: 1.0
Directory: pool/main/libc/libclass-multimethods-perl
Files: 5839aef54dc0632e69a7417a5e888d7d 690 libclass-multimethods-perl_1.70-1.dsc
 5fdc79daa81b102b956b1a61531fd6a7 28316 libclass-multimethods-perl_1.70.orig.tar.gz
 e39704a077218bde4131776fd3dbe193 1716 libclass-multimethods-perl_1.70-1.diff.gz

Package: libclass-multimethods-perl
Priority: optional
Section: perl
Installed-Size: 120
Maintainer: Sean 'Shaleh' Perry <shaleh@debian.org>
Architecture: all
Version: 1.70-1
Depends: perl5
Filename: pool/main/libc/libclass-multimethods-perl/libclass-multimethods-perl_1.70-1_all.deb
Size: 27768
MD5sum: 6ada2b03c6657c83db085bf6dc51fb8d
Description: Support multimethods and subroutine overloading in Perl
 Sometimes Perl's standard polymorphic method dispatch mechanism isn't
 sophisticated enough to cope with the complexities of finding the right
 method to handle a given situation.
 .
 Generally speaking, multiple dispatch is needed whenever two or more objects
 belonging to different class hierarchies are going to interact, and we need to
 do different things depending on the combination of actual types of those
 objects. Typical applications that need this kind of ability include graphical
 user interfaces, image processing libraries, mixed-precision numerical
 computation systems, and most types of simulations.

Justification: Most packages out of date, plenty of NMUs, email has bounced
for ages

-- 
Martin Michlmayr
tbm@cyrius.com



Reply sent to Jay Bonci <jaybonci@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 259586-close@bugs.debian.org (full text, mbox):

From: Jay Bonci <jaybonci@debian.org>
To: 259586-close@bugs.debian.org
Subject: Bug#259586: fixed in libclass-multimethods-perl 1.70-4
Date: Thu, 09 Sep 2004 06:02:10 -0400
Source: libclass-multimethods-perl
Source-Version: 1.70-4

We believe that the bug you reported is fixed in the latest version of
libclass-multimethods-perl, which is due to be installed in the Debian FTP archive:

libclass-multimethods-perl_1.70-4.diff.gz
  to pool/main/libc/libclass-multimethods-perl/libclass-multimethods-perl_1.70-4.diff.gz
libclass-multimethods-perl_1.70-4.dsc
  to pool/main/libc/libclass-multimethods-perl/libclass-multimethods-perl_1.70-4.dsc
libclass-multimethods-perl_1.70-4_all.deb
  to pool/main/libc/libclass-multimethods-perl/libclass-multimethods-perl_1.70-4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 259586@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jay Bonci <jaybonci@debian.org> (supplier of updated libclass-multimethods-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu,  9 Sep 2004 05:30:04 -0400
Source: libclass-multimethods-perl
Binary: libclass-multimethods-perl
Architecture: source all
Version: 1.70-4
Distribution: unstable
Urgency: low
Maintainer: Jay Bonci <jaybonci@debian.org>
Changed-By: Jay Bonci <jaybonci@debian.org>
Description: 
 libclass-multimethods-perl - Support multimethods and subroutine overloading in Perl
Closes: 259586
Changes: 
 libclass-multimethods-perl (1.70-4) unstable; urgency=low
 .
   * New Maintainer (Closes: #259586)
   * Adds debian/watch file
   * Adds build dependancy on perl per policy
   * Adds dependancy on debhelper 4 (adds debian/compat)
   * Changed to my standard rules template
   * Adds demo files from distribution as examples
   * Adds tutorial.html file from distribution as docs
   * Fixes copyright file to explicate perl license
   * Updates demo files to squash lintian warnings
Files: 
 d0792c4afdd93510bbb241158f9cc479 659 perl optional libclass-multimethods-perl_1.70-4.dsc
 9bb1b7e5f7f5b9e1de2874f1eb38ebc2 2267 perl optional libclass-multimethods-perl_1.70-4.diff.gz
 dda3f82891020af4d3ec7a9b28ced990 39966 perl optional libclass-multimethods-perl_1.70-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBQCdHZNh5D+C4st4RAqZCAJsFAcmmaAN0riq6A+8iQNDt/DbRBQCeKezh
qi07IXkd75yP+NrskVtESV0=
=+pgd
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 14:25:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.